Closed Bug 334833 Opened 15 years ago Closed 5 years ago

Crash [@ ReadCMAPTableFormat12] at page with "pagebreak" character with certain fonts (Kerkis, Xerxes, DejaVu Sans)

Categories

(Core :: Graphics, defect)

1.8 Branch
x86
Windows XP
defect
Not set
critical

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: spiros_ioannou, Unassigned)

References

()

Details

(Keywords: crash, testcase)

Crash Data

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2

Firefox crashes every time when attempting to view a text page which contains Control+L (pagebreak) characters. Try the url provided. The one I tried has unix format.

Reproducible: Always
same thing happens in html files, and in CRLF EOL style text and html files.
WFM - Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060420 Minefield/3.0a1 ID:2006042005 [cairo]
WFM with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2
From talkback ID:
libflashplayer.so + 0xcba26 (0xb35c1a26)
libflashplayer.so + 0xce605 (0xb35c4605)
libflashplayer.so + 0xd14a1 (0xb35c74a1)
libflashplayer.so + 0xd154b (0xb35c754b)
libflashplayer.so + 0xd154b (0xb35c754b)
libflashplayer.so + 0xd154b (0xb35c754b)
libflashplayer.so + 0xd1101 (0xb35c7101)
libflashplayer.so + 0xd1505 (0xb35c7505)
libflashplayer.so + 0xd154b (0xb35c754b)
libflashplayer.so + 0xd154b (0xb35c754b)
libflashplayer.so + 0xb2d72 (0xb35a8d72)
libflashplayer.so + 0xb306c (0xb35a906c)
libflashplayer.so + 0x1052df (0xb35fb2df)
libflashplayer.so + 0x104a43 (0xb35faa43)
libflashplayer.so + 0x105237 (0xb35fb237)
libflashplayer.so + 0xf9a6a (0xb35efa6a)
libflashplayer.so + 0x1387dc (0xb362e7dc)
libflashplayer.so + 0x17ca29 (0xb3672a29)
libglib-2.0.so.0 + 0x26534 (0xb79b2534)
libglib-2.0.so.0 + 0x24691 (0xb79b0691)
libglib-2.0.so.0 + 0x279d7 (0xb79b39d7)
libglib-2.0.so.0 + 0x27f28 (0xb79b3f28)
libgtk-x11-2.0.so.0 + 0x12c2a1 (0xb7c782a1)
nsAppShell::Run()  [/builds/tinderbox/Fx-Mozilla1.8.0/Linux_2.4.21-37.ELsmp_Depend/mozilla/widget/src/gtk2/nsAppShell.cpp, line 141]
nsAppStartup::Run()  [/builds/tinderbox/Fx-Mozilla1.8.0/Linux_2.4.21-37.ELsmp_Depend/mozilla/toolkit/components/startup/src/nsAppStartup.cpp, line 151]
XRE_main()  [/builds/tinderbox/Fx-Mozilla1.8.0/Linux_2.4.21-37.ELsmp_Depend/mozilla/toolkit/xre/nsAppRunner.cpp, line 2353]
main()  [/builds/tinderbox/Fx-Mozilla1.8.0/Linux_2.4.21-37.ELsmp_Depend/mozilla/browser/app/nsBrowserApp.cpp, line 62]
libc.so.6 + 0x14eb0 (0xb74c4eb0)

This definately looks like a flash bug.
Component: General → Plug-ins
Product: Firefox → Core
QA Contact: general → plugins
Version: unspecified → 1.8 Branch
hmm, I have removed all macromedia plugins I could find and this still happens. This is the detailed report (nothing informative though). Can I try something else?

<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="firefox.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="AccessibleMarshal.dll" SIZE="8314" CHECKSUM="0xA9558DDB" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="accessibility" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x42F9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:53" UPTO_LINK_DATE="03/08/2006 14:11:53" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="firefox.exe" SIZE="7171685" CHECKSUM="0x81715F5F" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.5.0.2" PRODUCT_VERSION="1.5.0.2" FILE_DESCRIPTION="Firefox" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="firefox.exe" INTERNAL_NAME="Firefox" LEGAL_COPYRIGHT="Mozilla Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.5.0.2" LINK_DATE="03/08/2006 13:47:58" UPTO_LINK_DATE="03/08/2006 13:47:58" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="js3250.dll" SIZE="414815" CHECKSUM="0xC134BDEE" BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0" FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0" ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x6AA75" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0" UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="03/08/2006 14:11:53" UPTO_LINK_DATE="03/08/2006 14:11:53" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nspr4.dll" SIZE="155750" CHECKSUM="0x7C7E0730" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="NSPR Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="nspr4.dll" INTERNAL_NAME="nspr4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2FF46" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="03/08/2006 14:11:53" UPTO_LINK_DATE="03/08/2006 14:11:53" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nss3.dll" SIZE="364638" CHECKSUM="0x239BBF2" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS Base Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="nss3.dll" INTERNAL_NAME="nss3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x61B49" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="03/08/2006 14:11:53" UPTO_LINK_DATE="03/08/2006 14:11:53" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssckbi.dll" SIZE="237669" CHECKSUM="0xD6E07506" BIN_FILE_VERSION="1.53.0.0" BIN_PRODUCT_VERSION="1.53.0.0" PRODUCT_VERSION="1.53" FILE_DESCRIPTION="NSS Builtin Trusted Root CAs" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="1.53" ORIGINAL_FILENAME="nssckbi.dll" INTERNAL_NAME="nssckbi" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3FD97" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.53.0.0" UPTO_BIN_PRODUCT_VERSION="1.53.0.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plc4.dll" SIZE="28779" CHECKSUM="0x1600E7E4" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="PLC Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="plc4.dll" INTERNAL_NAME="plc4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xE969" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plds4.dll" SIZE="24678" CHECKSUM="0xC01DAA12" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="PLDS Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="plds4.dll" INTERNAL_NAME="plds4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x14BE9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="smime3.dll" SIZE="106594" CHECKSUM="0xE923319E" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS S/MIME Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="smime3.dll" INTERNAL_NAME="smime3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x20781" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="softokn3.dll" SIZE="364646" CHECKSUM="0x63D1C33F" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS PKCS #11 Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="softokn3.dll" INTERNAL_NAME="softokn3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x64F75" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="ssl3.dll" SIZE="110686" CHECKSUM="0xA8F46FB7" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS SSL Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="ssl3.dll" INTERNAL_NAME="ssl3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1C5EB" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="updater.exe" SIZE="123516" CHECKSUM="0xD98ABCF9" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="updater.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 13:33:56" UPTO_LINK_DATE="03/08/2006 13:33:56" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom.dll" SIZE="7778" CHECKSUM="0xED63D14E" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x583D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_compat.dll" SIZE="68205" CHECKSUM="0xAA5EF923" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom_obsolete" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x11802" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_core.dll" SIZE="400488" CHECKSUM="0xFCCB38F5" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x68544" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpicleanup.exe" SIZE="63598" CHECKSUM="0xF3CCBEDC" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="xpicleanup.exe" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 13:35:08" UPTO_LINK_DATE="03/08/2006 13:35:08" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpistub.dll" SIZE="6760" CHECKSUM="0x14C3E811" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="xpistub" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xFF1E" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:54" UPTO_LINK_DATE="03/08/2006 14:11:54" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jar50.dll" SIZE="60518" CHECKSUM="0xE25A28DE" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="jar" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x105BC" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:53" UPTO_LINK_DATE="03/08/2006 14:11:53" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jsd3250.dll" SIZE="49248" CHECKSUM="0x984D96FF" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="jsdebug" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1B7E0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:53" UPTO_LINK_DATE="03/08/2006 14:11:53" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\xpinstal.dll" SIZE="165992" CHECKSUM="0xF4C6AC18" BIN_FILE_VERSION="1.8.20060.30804" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8.0.2: 2006030804" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8.0.2: 2006030804" ORIGINAL_FILENAME="" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3326F" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20060.30804" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="03/08/2006 14:11:53" UPTO_LINK_DATE="03/08/2006 14:11:53" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="uninstall\uninstall.exe" SIZE="86670" CHECKSUM="0xF3809FF0" BIN_FILE_VERSION="1.0.0.2" BIN_PRODUCT_VERSION="1.0.0.2" PRODUCT_VERSION="1, 0, 0, 2" FILE_DESCRIPTION="uninstall" COMPANY_NAME="mozilla.org" PRODUCT_NAME="Mozilla uninstaller" FILE_VERSION="1, 0, 0, 2" ORIGINAL_FILENAME="uninstall.exe" INTERNAL_NAME="uninstall" LEGAL_COPYRIGHT="Copyright © 2001" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.2" UPTO_BIN_PRODUCT_VERSION="1.0.0.2" LINK_DATE="03/08/2006 13:34:06" UPTO_LINK_DATE="03/08/2006 13:34:06" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="983552" CHECKSUM="0x4CE79457" BIN_FILE_VERSION="5.1.2600.2180" BIN_PRODUCT_VERSION="5.1.2600.2180" PRODUCT_VERSION="5.1.2600.2180" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft&#174; Windows&#174; Operating System" FILE_VERSION="5.1.2600.2180 (xpsp_sp2_rtm.040803-2158)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="© Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xFF848" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.2180" UPTO_BIN_PRODUCT_VERSION="5.1.2600.2180" LINK_DATE="08/04/2004 07:56:36" UPTO_LINK_DATE="08/04/2004 07:56:36" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
</DATABASE>
(In reply to comment #5)
> hmm, I have removed all macromedia plugins I could find and this still happens.
> This is the detailed report (nothing informative though). Can I try something
> else?

in about:config set plugin.expose_full_path to boolean true, then load about:plugins to see which plugins are known to Firefox, and where they are located. My flash plugin did install in an old Netscape4 and is seen by Firefox and Seamonkey.

You can test your Flash here: http://www.macromedia.com/shockwave/welcome/
Example of JavaScript-to-Flash communication:
http://www.macromedia.com/support/flash/ts/documents/java_script_comm/javascript_to_flash.html
(In reply to comment #6)
> in about:config set plugin.expose_full_path to boolean true, then load
this option should be on by default :-)

Well,I disabled ALL plugins, flash, real, qt, java and even MS related. I even reinstalled firefox.
The problem is still there. Does comment #4 confirm the bug?
How can I provide more info? I have visual studio .net installed and can run the debugger when prompted. Could it be a font rendering issue?

Ok, more testing proves that firefox crashes with all characters  \013, \014, \015 (octal), even when printet through javascript like document.write('\013'), but it doesn't crash when these chars exist in an html page but commented like <!-- x -->. So it must be a display/font-related problem(?). I have no extensions installed, and I'm using the default fonts of the installation.
Sorry for your time, I fixed the problem. It really was one problematic font that was used by firefox for the lower-ascii codes. Why it tried to use this font is unknown, but it did. The font's name was Kerkis, and is available here:
http://iris.math.aegean.gr/kerkis/Kerkis_ttf.zip
Even so, should firefox crash? Who knows..

I'm marking it worksforme (it does now) :-)
Status: UNCONFIRMED → RESOLVED
Closed: 15 years ago
Resolution: --- → WORKSFORME
Component: Plug-ins → GFX: Win32
Keywords: crash
Sorry, I think I added a wrong Talkback ID to this bug.
New Talkback ID: TB18713135M
(from a Seamonkey 2006-01-18 trunk build)
ReadCMAPTableFormat12  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/gfx/src/windows/nsFontMetricsWin.cpp, line 1618]
nsFontMetricsWin::GetFontCCMAP  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/gfx/src/windows/nsFontMetricsWin.cpp, line 1787]
nsFontMetricsWin::GetCCMAP  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/gfx/src/windows/nsFontMetricsWin.cpp, line 1913]
nsFontMetricsWin::FindGlobalFont  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/gfx/src/windows/nsFontMetricsWin.cpp, line 2807]
nsFontMetricsWin::FindFont  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/gfx/src/windows/nsFontMetricsWin.cpp, line 3631]
nsFontMetricsWin::ResolveForwards  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/gfx/src/windows/nsFontMetricsWin.cpp, line 4062]
nsRenderingContextWin::GetTextDimensions  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/gfx/src/windows/nsRenderingContextWin.cpp, line 2193]
nsTextFrame::MeasureText  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsTextFrame.cpp, line 5495]
nsTextFrame::Reflow  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsTextFrame.cpp, line 6052]
nsLineLayout::ReflowFrame  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsLineLayout.cpp, line 996]
nsBlockFrame::ReflowInlineFrame  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 4206]
nsBlockFrame::DoReflowInlineFrames  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 3859]
nsBlockFrame::ReflowInlineFrames  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 3741]
nsBlockFrame::ReflowLine  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 2736]
nsBlockFrame::ReflowDirtyLines  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 2270]
nsBlockFrame::Reflow  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 904]
nsBlockReflowContext::ReflowBlock  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockReflowContext.cpp, line 606]
nsBlockFrame::ReflowBlockFrame  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 3455]
nsBlockFrame::ReflowLine  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 2617]
nsBlockFrame::ReflowDirtyLines  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 2270]
nsBlockFrame::Reflow  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 904]
nsBlockReflowContext::ReflowBlock  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockReflowContext.cpp, line 606]
nsBlockFrame::ReflowBlockFrame  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 3455]
nsBlockFrame::ReflowLine  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 2617]
nsBlockFrame::ReflowDirtyLines  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 2270]
nsBlockFrame::Reflow  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsBlockFrame.cpp, line 904]
nsContainerFrame::ReflowChild  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsContainerFrame.cpp, line 869]
CanvasFrame::Reflow  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsHTMLFrame.cpp, line 524]
nsContainerFrame::ReflowChild  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsContainerFrame.cpp, line 869]
nsHTMLScrollFrame::ReflowScrolledFrame  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsGfxScrollFrame.cpp, line 510]
nsHTMLScrollFrame::ReflowContents  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsGfxScrollFrame.cpp, line 573]
nsHTMLScrollFrame::Reflow  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsGfxScrollFrame.cpp, line 780]
nsContainerFrame::ReflowChild  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsContainerFrame.cpp, line 869]
ViewportFrame::Reflow  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/generic/nsViewportFrame.cpp, line 230]
IncrementalReflow::Dispatch  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/base/nsPresShell.cpp, line 859]
PresShell::ProcessReflowCommands  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/base/nsPresShell.cpp, line 6467]
ReflowEvent::HandleEvent  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/base/nsPresShell.cpp, line 6291]
HandlePLEvent  [c:/builds/tinderbox/MozillaTrunk/WINNT_5.0_Clobber/mozilla/layout/base/nsPresShell.cpp, line 6309]
SHELL32.dll + 0x520c24 (0x778b0c24)

I can see the crash happening when I have installed the kerkis font.
This doesn't happen with current trunk builds, probably because of the move to cairo.
Status: RESOLVED → UNCONFIRMED
Resolution: WORKSFORME → ---
Summary: crash when attempting to view a text page which contains Control+L (pagebreak) → crash [@ ReadCMAPTableFormat12] when attempting to view a text page which contains Control+L (pagebreak)
Assignee: nobody → win32
Status: UNCONFIRMED → NEW
Ever confirmed: true
Keywords: testcase
QA Contact: plugins → ian
Blocks: 313231
I had the same problem on different webpages (see http://talkback-public.mozilla.org/search/start.jsp?search=2&type=iid&id=30249069). Web page mentioned here would cause a crash/freeze, too (and probably any other page containing CTRL+L).

Solution: Removed one of my fonts named "Xerxes" and the problem was resolved.
Duplicate of this bug: 379866
I'm seeing similar crashes, with this code snippet:

<span style="font-family: DejaVu Sans">&#814;</span>

Version of DejaVu fonts used: 2.23 and 2.24

DejaVu fonts are available from http://dejavu.sourceforge.net/
Product: Core → Core Graveyard
Assignee: win32 → nobody
Component: GFX: Win32 → Graphics
Product: Core Graveyard → Core
QA Contact: ian → thebes
Summary: crash [@ ReadCMAPTableFormat12] when attempting to view a text page which contains Control+L (pagebreak) → Crash [@ ReadCMAPTableFormat12] at page with "pagebreak" character with certain fonts (Kerkis, Xerxes, DejaVu Sans)
Crash Signature: [@ ReadCMAPTableFormat12]
We continue to see occasional crashes with this signature (7 in the past 28 days, all on Windows).
I see no reports of this crash in the last year. Feel free to reopen this bug report if it still happens in a current Firefox build.
Status: NEW → RESOLVED
Closed: 15 years ago5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.